Bug 1822032 - buildah is not expanding env vars in file paths [rhaos-4.3-rhel-8/buildah]
Summary: buildah is not expanding env vars in file paths [rhaos-4.3-rhel-8/buildah]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.z
Assignee: Jindrich Novy
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks: 1810069 1822207
TreeView+ depends on / blocked
 
Reported: 2020-04-08 06:18 UTC by Jindrich Novy
Modified: 2020-04-20 17:09 UTC (History)
4 users (show)

Fixed In Version: buildah-1.11.6-9.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-20 17:08:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1482 None None None 2020-04-20 17:09:17 UTC

Description Jindrich Novy 2020-04-08 06:18:55 UTC
This is a tracking bug assuring the fix for [bug 1810069] gets applied in rhaos-4.3-rhel-8 branch of buildah.

Comment 6 weiwei jiang 2020-04-13 01:34:38 UTC
Checked with  buildah-1.11.6-5.el8.x86_64 and it's fixed.


# date > foo
# cat foo
Sun Apr 12 21:30:45 EDT 2020
# rpm -q buildah
buildah-1.11.6-5.el8.x86_64
# buildah bud -t expand_env:latest
STEP 1: FROM centos
STEP 2: ENV foo=oo
STEP 3: ADD ./f${foo} /tmp/foo
STEP 4: COMMIT expand_env:latest
Getting image source signatures
Copying blob b05580fca2f9 skipped: already exists
Copying blob 9c0b77592056 done
Copying config 4d7220d50d done
Writing manifest to image destination
Storing signatures
4d7220d50dc9c8894699c066b55d6ab7fd36cfa1daa6679c8449df1ba3de5343
4d7220d50dc9c8894699c066b55d6ab7fd36cfa1daa6679c8449df1ba3de5343
# cat Dockerfile 
FROM centos
ENV foo=oo
ADD ./f${foo} /tmp/foo
# podman run localhost/expand_env:latest /bin/cat /tmp/foo
Sun Apr 12 21:30:45 EDT 2020

Comment 9 errata-xmlrpc 2020-04-20 17:08:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1482


Note You need to log in before you can comment on or make changes to this bug.